.relative_div
{
	height:100%;
	width:100%;
	position:relative;
}




.property_input_div_select
{
	width:77px;
	background-color: transparent;
	color:black;
	margin-left:2px;
	height:30px;
	padding:none;
	border:none;
	float:left;
}



@keyframes blinker {
	50% {
	  opacity: 0.3;
	}
  }









.SystemTheme_saveoverlay
{
	position:absolute;
	top:50%;
	left:50%;
	transform: translate(-50%,-50%);
	z-index: 201;
}
.contentHolder
{
    height:100%;
	width:100%;
	position:relative;
	
}
.property_input_div_icon
{
	height:60%;
	width:auto;
	position: absolute;
	transform: translate(-50%,-50%);
	left:50%;
	top:50%;
}
.property_input_div
{
	width:98%;
	margin-left:1%;
	margin-top:10px;
	margin-bottom:10px;
	height:30px;
	background-color: white;
	position: relative;
}
.property_input_div_input
{
	width:100px;
	height:29px;
	padding:none;
	border:none;
	background-color: transparent;
	float:left;
}
.property_input_div_delete
{
	background-color: transparent;
	color:black;
	margin:7.5px;
	height:15px;
	width:15px;
	padding:none;
	border:none;
	float:left;
	cursor: pointer;
}
.property_input_div_edit
{
    width:60px !important;
}
.SystemTheme_overlay
{
	background-color:white;
	position:absolute;
	top:0px;
	left:0px;
	height:100%;
	width:100%;
	z-index: 200;
	opacity:0.9;
}
.tile
{
	z-index:2;
	background-color:white;
	position:relative;
	overflow:visible;
	-webkit-transition: all 0.5s ease-in-out;
	-moz-transition: all 0.5s ease-in-out;
	-o-transition: all 0.5s ease-in-out;
	transition: all 0.5s ease-in-out;
}
.tileholder
{
	position:absolute;
	width: 85px;
	height: 85px;
	background-color:#a8d0f0;
}
.SystemTheme_dashboardholder
{
	top:90px;
	left:75px;
	bottom:0px;
	right:0px;
	position:absolute;
	-webkit-transition: right 2s; /* Safari */
	transition: right 2s;
}
.SystemTheme_tileholder
{
	height:100%;
	width:100%;
	position:relative;
	overflow-x:scroll;
}
.SystemTheme_topedit_header_item_text{
	float:left;
	font-size:12px;
	color:white;
	margin-top:13px;
	margin-left:-5px;
	font-family:Arial;
}
.SystemTheme_topedit_header_item_image
{
	float:left;
	width:18px;
	height:18px;
	position:relative;
	margin:11px;
}
.SystemTheme_topedit_header_item
{
	height:100%;
	width:auto;
	position:relative;
	cursor:pointer;
	float:left;
}

.header_mid_search
{
	height:100%;
	position:absolute;
	left:50%;
	transform: translate(-50%,0);
	width:33%;
}

.header_mid_search_dropdown
{
	transform: translate(-50%,0);
	position:absolute;
	left:50%;
	top:40px;
	width:calc(33% + 40px);
	z-index:99999985;
	background-color: white;
	border-radius: 5px 5px 5px 5px;
}

.header_mid_search_dropdown ul {
    list-style-type: none; /* remove the bullet points */
    padding: 0; /* remove the padding */
    margin: 0; /* remove the margin */
}

.dropdown_heading
{
	font-size:13px !important;
	border-top: 1px solid rgb(168, 168, 168);
	padding-bottom:3px !important;
	padding-left:10px !important;
	font-weight: 600;
}

.dropdown_footer
{
	border-top: 1px solid rgb(168, 168, 168);
	font-weight: 400;
	color:#0065e0;
}

.header_mid_search_dropdown li {
	cursor: pointer;
	font-size:12px;
	user-select: none;
	font-family: sans-serif;
    padding: 12px; /* add some padding to the list items */
    padding-left: 24px;/*border-bottom: 1px solid rgb(168, 168, 168); /* add a border to the bottom of each list item */
}
.header_mid_search_dropdown li:hover {
	background-color: #eeeeee;
}
.dropdown_footer:hover {
	background-color: inherit !important;
}

.dropdown_heading:hover {
	background-color: inherit !important;
}

.header_mid_search input
{
	width: calc(100% - 50px);
	max-width:100%;
	height:25px;
	margin-top: 5.5px;
	border:0px;
	background: url(../../images/find_blk.svg) no-repeat scroll 27px 6px ;
	background-size: 15px 15px;
	padding-left:50px;
	background-color: #ffffff;
}

.SystemTheme_topedit_header_div
{
	margin-left:15px;
	height:100%;
	width:auto;
	position:relative;
	cursor:default;
	float:left
}
.SystemTheme_topedit_header_text
{
	height:100%;
	width:100%;
	margin:5px;
	font-size:23px;
	color:white; 
	font-family:Arial;
}
.SystemTheme_edittoolbox_header_text
{
	width:auto;
	margin-top:10px;
	margin-left:10%;
	font-size:23px;
	color:white; 
	font-family:Arial;
}
.SystemTheme_edittoolbox_holder
{
	right:0px;
	left:10%;
	top:60px;
	bottom:20px;
	background-color:white;
	position:absolute;
	overflow-y:scroll;
	overflow-x:scroll;
}
.SystemTheme_topedit
{
	position:absolute;
	left:80px;
	top:45px;
	right:0px;
	height:40px;
	background-color:#428bff;
}
.SystemTheme_topbar_logout_text
{
	position:absolute;
	top:5px;
	right:10px;
	margin:0px;
	cursor:pointer;
	font-size:20px;
	color:white;
	font-family:az_ea_font,wf_segoe-ui_normal,Segoe UI,Segoe WP,Tahoma,Arial,sans-serif;
	font-weight:50;
}
.SystemTheme_topbar_text
{
	position:absolute;
	top:5px;
	left:15px;
	margin:0px;
	cursor:pointer;
	font-size:20px;
	color:white;
	font-family:az_ea_font,wf_segoe-ui_normal,Segoe UI,Segoe WP,Tahoma,Arial,sans-serif;
	font-weight:50;
}

.SystemTheme_body
{
	background-color:#a8d0f0;
}
.SystemTheme_topbar
{
	position:absolute;
	left:0px;
	top:0px;
	right:0px;
	height:40px;
	background-color:#4ba1e3;
}
.SystemTheme_edittoolbox
{
	z-index:190;
	position:absolute;
	right:0px;
	top:40px;
	visibility:collapse;
	opacity:0.8;
	bottom:0px;
	width:400px;
	transition: all 3s;
	filter: brightness(80%);
	background-color:#3a8bc9;
}
.SystemTheme_sidebar
{
	z-index:10000001;
	position:absolute;
	left:0px;
	top:40px;
	bottom:0px;
	width:45px;
	background-color:#3a8bc9;
}
.SystemTheme_sidebar_item:hover
{
	filter: brightness(150%);
}
.SystemTheme_sidebar_item
{
	cursor:pointer;
	background-color:#4ca3e6;
	width:100%;
	height:35px;
	border-bottom:1px #3984bf solid;
	position:relative;
}
.SystemTheme_sidebar_placeholder
{
	height:60px;
	background-color:transparent;
	width:100%;
	border-bottom:1px #3984bf solid;
	position:relative;
}
.SystemTheme_sidebar_item_tooltip 
{
	position:absolute;
	left:5px;
	top:0px;
	height:35;
	width:35px;
}
.SystemTheme_sidebar_item_tooltip .SystemTheme_sidebar_item_tooltiptext 
{
	visibility: hidden;
	z-index:10000001;
	width: 120px;
	background-color: #555;
	color: #fff;
	text-align: center;
	border-radius: 6px;
	padding: 3px 0;
	position: absolute;
	bottom: 15%;
	left: 50px;
	margin-left: 0px;
	opacity: 0;
	transition: opacity 0.3s;
}
.SystemTheme_sidebar_item_tooltip .SystemTheme_sidebar_item_tooltiptext::after 
{
	content: "";
	position: absolute;
	top: 50%;
	left: 0%;
	margin-left: -5px;
	border-width: 5px;
	border-style: solid;
	border-color: #555 transparent transparent transparent;
}
.SystemTheme_sidebar_item_tooltip:hover .SystemTheme_sidebar_item_tooltiptext 
{
	visibility: visible;
	opacity: 1;
}




/* ---------------------------------------- Right-side edit toolboxes ------------------------------------- */
.toolbox-container					/* Container encompassing the toolbox */ 
{
	z-index:190;
	position:absolute;
	right:0px;
	top:40px;
	visibility:collapse;
	opacity:1.0;
	bottom:0px;
	width:400px;
	background-color:white;
}
.toolbox-header_ribbon				/* Header ribbon encompassing headings and exit button */ 
{
	width:100%;
	position: absolute;
	top:0px;
	height:60px;
	background-color: #3a8bc9;
}
.toolbox-header_ribbon_heading		/* Heading of the header ribbon */ 
{
	position: relative;
	color:white;
	margin-top:4px;
	margin-left:20px;
	margin-right:0px;
	margin-bottom:0px;
	font-size:30px;
	font-family: Arial, Helvetica, sans-serif;
}
.toolbox-header_ribbon_subheading	/* Sub-heading of the header ribbon */ 
{
	position: relative;
	color:white;
	margin-top:4px;
	margin-left:20px;
	font-size:13px;
	font-family: Arial, Helvetica, sans-serif;
}
.toolbox-header_ribbon_exit_button	/* Exit button of the header ribbon */ 
{
	position:absolute;
	top:9px;
	right:20px;
	width:20px;
	height:20px;
	cursor: pointer;
}
.toolbox-content_holder				/* Container underneath ribbon for holding all input forms */ 
{
	position: absolute;
	top:60px;
	bottom:0px;
	left:0px;
	right:0px;
	overflow-y: scroll;
	padding-top: 20px;
}
.toolbox-input_holder				/* Container for encapsulating single input form */ 
{
	width:80%;
	margin-top:10px;
	margin-left:10%;
}
.toolbox-input_header				/* Header for single input form */ 
{
	margin-bottom:2px;
	margin-left:0px !important;
	font-size:13px;
	font-family: Arial, Helvetica, sans-serif;
	margin-left:10%;
}
.toolbox-input						/* single input form */ 
{
	width:100%;
	border: solid 1px black;
	padding:4px;
}
.toolbox-input-checkbox
{
	width:100%;
	padding:4px;
	border: solid 1px black;
}
.toolbox-input-checkbox label 
{
	font-family: Arial, Helvetica, sans-serif;
	font-size: 14px;
	margin:0px;
}
.toolbox-submit_button				/* Bottom-right submit button */ 
{
	position: absolute;
	text-align: center;
	width:100px;
	height:30px;
	right:20px;
	bottom:30px;
	background-color: #4ba1e3;
	z-index:1000;
	color:white;
	cursor: pointer;
}
.toolbox-submit_button:active
{
	background-color: #85bde8;
}
.toolbox-submit_button > p
{
	margin:4px;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 18px;
	-webkit-user-select: none; /* Safari */        
	-moz-user-select: none; /* Firefox */
	-ms-user-select: none; /* IE10+/Edge */
	user-select: none; /* Standard */
}

/* ---------------------------------------- Alert_box ------------------------------------- */

#blur_overlay
{
	position: absolute;
	left:0px;
	top:0px;
	right:0px;
	bottom:0px;
	z-index:10000001;
	backdrop-filter: blur(5px);
}

#alert_box
{
	position:absolute;
	border-radius: 10px;
	left:50%;
	top:50%;
	transform: translate(-50%,-50%);
	min-width:360px;
	height:auto;
	background-color: white;
	z-index:10000002;
	font-family: Arial, Helvetica, sans-serif;
	-webkit-user-select: none; /* Safari */        
	-moz-user-select: none; /* Firefox */
	-ms-user-select: none; /* IE10+/Edge */
	user-select: none; /* Standard */
}

#alert_box > hr
{
	border-top:1px solid #d7d7d7;
	border-bottom:0px;
}

.alert_box_exit_icon
{
	position: absolute;
	top:15px;
	right:15px;
	width:15px;
	height:15px;
	cursor: pointer;
}

.alert_box_message_holder
{
	position:relative;
	height:auto;
	margin-left:40px;
	margin-right:40px;
	margin-top:40px;
	width:auto;
	display: grid;
	grid-template-columns: 70px 1fr;
}

.alert_box_button_holder
{
	position:relative;
	height:auto;
	margin-right:40px;
	align-self: flex-end;
}

.alert_box_button
{
	float: right;
	background-color: rgb(149, 149, 149);
	padding-top:10px;
	padding-bottom:10px;
	padding-right:20px;
	padding-left:20px;
	border-radius: 20px;
	margin-bottom:10px;
	margin-left:10px;
	cursor: pointer;
}

.alert_box_button:hover
{
	opacity: 0.7;
}

.alert_box_button > p
{
	margin:0px;
	font-family: Arial, Helvetica, sans-serif;
	color:white;
	font-weight: bold;
}

.alert_box_message_text_holder
{
	margin-left:10px;
	margin-right:20px;
}

.alert_box_message_icon
{
	position:relative;
	align-self: center;
	width:60px;
	height:60px;
}

/* ---------------------------------------- Choose place dialogue ------------------------------------- */

#place_dialogue
{
	position:absolute;
	border-radius: 10px;
	left:50%;
	top:50%;
	transform: translate(-50%,-50%);
	min-width:50%;
	min-height:50%;
	max-width: 70%;
	height:auto;
	background-color: white;
	z-index:10000002;
	font-family: Arial, Helvetica, sans-serif;
	-webkit-user-select: none; /* Safari */        
	-moz-user-select: none; /* Firefox */
	-ms-user-select: none; /* IE10+/Edge */
	user-select: none; /* Standard */
}

#place_dialogue > hr
{
	border-top:1px solid #d7d7d7;
	border-bottom:0px;
}

.place_dialogue_exit_icon
{
	position: absolute;
	top:15px;
	right:15px;
	width:15px;
	height:15px;
	cursor: pointer;
}

.place_dialogue_content_holder
{
	position:relative;
	height:auto;
	margin-left:40px;
	margin-right:40px;
	margin-top:40px;
	width:auto;
	overflow-y: scroll;
	max-height:300px;
}

.place_dialogue_content_holder > div 
{
	width:150px;
	height:150px;
	margin:20px;
	background-color: #428bff;
	overflow: hidden;
	display: inline-block;
	
}
.place_dialogue_content_holder > div > p
{
	margin:10px;
	overflow-wrap: break-word;
}





/* --------------------------------------------------Treeview-------------------------------------------------*/
.Treeview-Empty-Element
{
	height:50vh;

}
.Treeview-Empty-Element span
{
	font-family: Arial, Helvetica, sans-serif;
	color: #6e6e6e38;
	font-size: 5vh;
	position:absolute;
	transform: translate(-50%,-50%);
	top:50%;
	left:50%;
	margin:0px;

}

.Treeview-holder
{
	background-color: rgb(240, 240, 240);
	color:rgb(36, 36, 36);
	font-weight:400;
	font-family:"Open Sans", sans-serif;
	font-size:16px;
	height:100%;
	width:100%;
	position: relative;
	overflow: auto;
	padding:0px;
}
.Treeview li:nth-child(2n) {
	background-color: rgb(218, 218, 218);
}
.Treeview li:nth-child(2n+1) {
	background-color: rgb(231, 230, 230);
}
.Treeview  ul {
	list-style-type: none;
	padding: 0px;
	margin-top:15px;
	margin-right:-15px;
	/*margin-left:-15px;*/
	margin-bottom:-15px;
}
.Treeview  li {
	cursor: pointer;
	margin:0px;
	border: 0px rgb(200, 200, 200) solid;
	padding:15px;
}
.Treeview {
	list-style-type: none;
	font-family: Arial, Helvetica, sans-serif;
	padding: 0;
	margin:0px;
}
.Treeview-caret {
	cursor: pointer;
	-webkit-user-select: none; /* Safari 3.1+ */
	-moz-user-select: none; /* Firefox 2+ */
	-ms-user-select: none; /* IE 10+ */
	user-select: none;
}
.Treeview-caret::before {
	content: "\25B6";
	color: black;
	display: inline-block;
	margin-right: 6px;
}
.Treeview-caret-down::before {
	-ms-transform: rotate(90deg); /* IE 9 */
	-webkit-transform: rotate(90deg); /* Safari */
	transform: rotate(90deg);  
}
.Treeview-nested {
	display: none;
}
.Treeview-active {
	display: block;
}
.Treeview-selected {
	color:rgb(0, 0, 0);
	font-weight:600;
}


/* --------------------------------------------------Entry check-------------------------------------------------*/
.wrong-entry 
{
	color:red !important;
}
.right-entry 
{
	color:green !important;
}

/* --------------------------------------------------Unit input-------------------------------------------------*/
#input_box
{
	position:absolute;
	z-index:100000000000000000000;
	top:50%;
	left:50%;
	background-color: transparent;
	transform: translate(-50%,-50%);
}
#input_iframe
{
	border:none;
}

/*---------------------------------------------------Table---------------------------------------------*/
@import url("https://fonts.googleapis.com/css?family=Open+Sans:400,400i,700");

.empty_table_row
{
	height:50vh;
	position: relative;
}
.empty_table_row p
{
	font-family: Arial, Helvetica, sans-serif;
	color: #6e6e6e38;
	font-size: 10vh;
	position:absolute;
	transform: translate(-50%,-50%);
	top:50%;
	left:50%;
	margin:0px;
}

.table_button_holder
{
	position:absolute;
	top:0px;
	right:0px;
	bottom:0px;
	padding-top:10px;
	
	
}
.table_button_holder label:hover
{
	filter:brightness(120%);
}
.table_button_holder label
{
padding:10px;
user-select: none;
color:white;
cursor: pointer;
border-left: 1px solid #d6d6d6;
background-color: #8f8f8f;
}

.table-action-button
{
	margin:2%;
	height:14px;
	width:14px;
}
.card {
	font-family: "Open Sans", sans-serif;
	background-color: #ffffff;
	width: 100%;
	max-width: 100%;
	max-height: 100%;
	display: flex;
	flex-direction: column;
	box-shadow: 0 15px 35px rgba(0, 0, 0, 0.5);
}
.table-concept {
width: 100%;
height: 100%;
max-height: 100%;
overflow: auto;
box-sizing: border-box;
}
.table-concept .table-radio {
display: none;
}
.table-concept .table-radio:checked + .table-display {
display: block;
}
.table-concept .table-radio:checked + .table-display + table {
width: 100%;
display: table;
}
.table-concept .table-radio:checked + .table-display + table + .pagination {
display: flex;
}
.table-concept .table-radio:checked + .table-display + table + .pagination > label.active {
color: #ffffff;
background-color: dimgray;
cursor: default;
}
.table-concept .table-radio:checked + .table-display + table + .pagination > label.disabled {
color: #ffffff;
background-color: #b5b5b5;
cursor: default;
}
.table-concept .table-display {
background-color: #e2e2e2;
text-align: right;
padding: 10px;
display: none;
position: sticky;
left: 0;
}
.table-concept table {
background-color: #ebebeb;
font-size: 16px;
border-collapse: collapse;
display: none;
}
.table-concept table tr:last-child td {
border-bottom: 0;
}
.table-concept table tr th,
.table-concept table tr td {
text-align: left;
padding: 15px;
box-sizing: border-box;
}
.table-concept table tr th {
color: #ffffff;
font-weight: normal;
background-color: #8f8f8f;
border-bottom: solid 2px #d8d8d8;
position: sticky;
top: 0;
}
.table-concept table tr td {
border: solid 1px #d8d8d8;
border-left: 0;
border-right: 0;
white-space: nowrap;
}
.table-concept table tbody tr {
transition: background-color 150ms ease-out;
}
.table-concept table tbody tr:nth-child(2n) {
background-color: whitesmoke;
}
.table-concept table tbody tr:hover {
background-color: #ebebeb;
}
.table-concept .pagination {
background-color: #8f8f8f;
width: 100%;
display: none;
position: sticky;
bottom: 0;
left: 0;
}
.table-concept .pagination > label {
background-color: #8f8f8f;
color: #ffffff;
padding: 10px;
cursor: pointer;
}
.table-concept .pagination > label:hover {
background-color: darkgray;
}
.table-concept .pagination > label:active {
background-color: #767676;
}
.table-title {
color: #ffffff;
background-color: #2f2f2f;
padding: 15px;
}
.table-title h2 {
margin: 0;
padding: 0;
}
.button-container {
width: 100%;
box-sizing: border-box;
display: flex;
justify-content: flex-end;
}
.button-container span {
color: #8f8f8f;
text-align: right;
min-height: 100%;
display: flex;
align-items: center;
justify-content: center;
margin-left: 10px;
margin-right: 10px;
}
.button-container button {
font-family: inherit;
font-size: inherit;
color: #ffffff;
padding: 10px 15px;
border: 0;
margin: 0;
outline: 0;
border-radius: 0;
transition: background-color 225ms ease-out;
}
.button-container button.primary {
background-color: #147eff;
}
.button-container button.primary:hover {
background-color: #479aff;
}
.button-container button.primary:active {
background-color: #0065e0;
}
.button-container button.primary {
background-color: #147eff;
}
.button-container button.primary:hover {
background-color: #479aff;
}
.button-container button.primary:active {
background-color: #0065e0;
}
.button-container button.danger {
background-color: #d11800;
}
.button-container button.danger:hover {
background-color: #ff2205;
}
.button-container button.danger:active {
background-color: #9e1200;
}
.button-container button svg {
fill: #ffffff;
vertical-align: middle;
padding: 0;
margin: 0;
}
								